﻿using PCC.App.Tpm;
using PCC.Common.EventBus;
using PCC.Common.Networking;
using PCC.DevShared;
using PCC.DevShared.Configuration;

namespace PCC.DevClient;

internal class DevClientPccConfigManager : PccDevConfigManagerBase;
internal class DevClientPeerInfoProvider(PccDevConfigManagerBase conf) : DevPeerInfoProviderBase(conf);

internal class DevClientEventBus(ILogger<DevClientEventBus> logger) : InProcessEventBusBase(logger);
internal class DevClientTpm(IEventBus eventBus, ILogger<DevClientTpm> logger, ILogger<KestrelTcpServer> ktsLogger) : TrustedPeerManager(eventBus, logger, ktsLogger);