﻿using PCC.App.Tpm;
using PCC.Common.EventBus;
using PCC.Common.Networking;
using PCC.DevShared;
using PCC.DevShared.Configuration;

namespace PCC.DevServer;

internal class DevServerPccConfigManager : PccDevConfigManagerBase;
internal class DevServerPeerInfoProvider(PccDevConfigManagerBase conf) : DevPeerInfoProviderBase(conf);
internal class DevServerEventBus(ILogger<DevServerEventBus> logger) : InProcessEventBusBase(logger);
internal class DevServerTpm(IEventBus eventBus, ILogger<DevServerTpm> logger, ILogger<KestrelTcpServer> ktsLogger) : TrustedPeerManager(eventBus, logger, ktsLogger);