﻿// See https://aka.ms/new-console-template for more information

using PCC.Common.AssemblyInject;
using PCC.Common.Init;

Console.WriteLine("Hello, World!");
ConsoleApplication.Init();

var builder = Host.CreateApplicationBuilder(args);

builder.SetLogFormatForSimpleConsole(false);

//依赖注入和启动停止
builder.Services.AddAssemblyInject<Program>();

var host = builder.Build();

try
{
    await host.RunAsync();
}
catch (Exception e)
{
    Console.WriteLine(e);
    throw;
}
finally
{
#if DEBUG
    Console.WriteLine();
    Console.Write("Finished, press ENTER to exit...");
    Console.ReadLine();
#endif
}
