﻿namespace PCC.App.TransferModels;

public class Message
{
    public Message()
    {
    }

    public Guid Id { get; set; }

    public DateTimeOffset CreationTime { get; set; }

    public MessageKind Kind { get; set; }

    public byte[] Content { get; set; }
}

public enum MessageKind
{
    Invalid = 0,
    Ack = 1,
    Ping = 2,
    Text = 3,
}